package org.dromara.knowledge.vectorstore;

import org.dromara.knowledge.domain.vo.KnowledgeSearchResultVo;

import java.util.List;

public interface VectorStoreService {
    void upsert(String knowledgeId, String docId, String fragmentId, String vectorId, double[] vector, String content, String modelName);

    List<KnowledgeSearchResultVo> search(String knowledgeId, double[] queryVector, String modelName, Integer topK, Double threshold);

    void deleteByKnowledgeId(String knowledgeId);

    void rebuildIndex(String knowledgeId);
}
